

package gov.va.med.cds.xml.schema;


import gov.va.med.cds.exception.ErrorCodeEnum;
import gov.va.med.cds.request.RequestProcessingException;


/**
 * 
 * Exception to take care of the Schema helper issues.
 * 
 */
public class SchemaException
    extends
        RequestProcessingException
{
    private static final long serialVersionUID = 5760326212545664935L;


    public SchemaException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }


    public SchemaException( ErrorCodeEnum errorCodeName, String... customMsg )
    {
        super( errorCodeName, customMsg );
    }


    public SchemaException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public SchemaException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }

}
